Bug 93828 - Incorrect and duplicate accessibility events when Writer paragraphs become selected
Summary: Incorrect and duplicate accessibility events when Writer paragraphs become se...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2015-08-31 23:52 UTC by Joanmarie Diggs
Modified: 2017-05-22 14:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
pyatspi accessible-event listener (360 bytes, text/x-python)
2015-08-31 23:52 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2015-08-31 23:52:55 UTC
Created attachment 118303 [details]
pyatspi accessible-event listener

Steps to reproduce:
1. Launch the attached pyatspi accessible-event listener in a terminal
2. Launch Writer
3. Type "hello world" and do NOT press return
4. Press Shift+End to select from the beginning of the line to the end

Expected results: A single object:text-selection-changed event

Actual results:
A. The expected object:text-selection-changed event
B. An object:state-changed:selected event
C. An object:selection-changed event
D. Another object:text-selection-changed event

B and C are appropriate for widgets; not paragraphs.

In particular, C is appropriate for parent widgets (Menus, list boxes, the Calc spreadsheet table*, and other widgets which have children and implement AtkSelection).

Similarly, B is appropriate for the selectable children of C (menu items, list items in list boxes, table cells in the Calc spreadsheet table*, and other descendants of widgets which implement AtkSelection).


* Hint: See bug 93825. :)
Comment 1 Buovjaga 2016-05-06 10:48:56 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 540fee2dc7553152914f7f1d8a41921e765087ef
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on April 30th 2016
Comment 2 QA Administrators 2017-05-22 13:41:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522
Comment 3 Alex ARNAUD 2017-05-22 14:34:38 UTC
Dear all,

This bug still happens in :
Version: 5.5.0.0.alpha0+
Build ID: d880df3a44497cdec49017538a9d38d48e543bad
CPU threads: 4; OS: Linux 3.16; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-19_07:51:21
Locale: fr-FR (fr_FR.UTF-8); Calc: group

Best regards.